Skip to main content
GET
Fetch P&L report

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json

Path Parameters

businessId
string
required

The UUID of the business to fetch the profit and loss for

Query Parameters

start_date
string<date-time>
required

Start date for the P&L report (ISO 8601 format)

end_date
string<date-time>
required

End date for the P&L report (ISO 8601 format)

reporting_basis
enum<string>

Accounting basis for the report

Available options:
ACCRUAL,
CASH
structure
string

P&L structure template to use

tag_filter
string

Filter results by tags

Response

Profit and loss report data

start_date
string<date-time>

Start date of the P&L period

end_date
string<date-time>

End date of the P&L period

reporting_basis
enum<string>

Accounting basis used for the report

Available options:
ACCRUAL,
CASH
line_items
object[]

P&L line items

total_revenue
integer

Total revenue in cents

total_expenses
integer

Total expenses in cents

net_income
integer

Net income in cents